task trim_galore {
    File read1
    File read2
    String sample_id
    String docker
    String cluster
    String disk_size
   
	command <<<
        mkdir input1
        cp ${read1} ./input1/${sample_id}_R1.fastq.gz
        cp ${read2} ./input1/${sample_id}_R2.fastq.gz
        mkdir clean_fastq
        trim_galore --paired --cores 16 --fastqc -gzip --stringency 3 --phred33 --length 50 --output_dir ./clean_fastq/ ./input1/${sample_id}_R1.fastq.gz ./input1/${sample_id}_R2.fastq.gz
        mv ./clean_fastq/${sample_id}_R1_val_1.fq.gz ./${sample_id}_R1.fastq.gz
        mv ./clean_fastq/${sample_id}_R2_val_2.fq.gz ./${sample_id}_R2.fastq.gz

   >>>
   
   runtime { 
		docker: docker
		cluster: cluster
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
   }

   output {
      File txt_R1 = "./clean_fastq/${sample_id}_R1.fastq.gz_trimming_report.txt"
      File txt_R2 = "./clean_fastq/${sample_id}_R2.fastq.gz_trimming_report.txt"
      File zip_R1 = "./clean_fastq/${sample_id}_R1_val_1_fastqc.zip"
      File zip_R2 = "./clean_fastq/${sample_id}_R2_val_2_fastqc.zip"
      File Trim_R1 = "${sample_id}_R1.fastq.gz"
      File Trim_R2 = "${sample_id}_R2.fastq.gz"
   }
}
