import "./tasks/starfusion.wdl" as starfusion
import "./tasks/trim_galore.wdl" as trim_galore
import "./tasks/arriba.wdl" as arriba

workflow {{ project_name }} {
    String sample_id
    File fastq1
    File fastq2
    File starfusion_database_dir
    String starfusion_docker
    String starfusion_cluster
    String disk_size

    String trim_galore_docker
    String trim_galore_cluster
    
    File STAR_INDEX_DIR
    File ASSEMBLY_FA
    File ANNOTATION_GTF
    String arriba_docker
    String arriba_cluster



        call trim_galore.trim_galore as trim_galore {
                input:
                read1=fastq1,
                read2=fastq2,
                sample_id=sample_id,
                docker=trim_galore_docker,
                cluster=trim_galore_cluster,
                disk_size=disk_size
        }

        call starfusion.starfusion as starfusion {
                input:	
                sample_id=sample_id,
                fastq1=trim_galore.Trim_R1,
                fastq2=trim_galore.Trim_R2,
                database_dir=starfusion_database_dir,
                docker=starfusion_docker,
                cluster=starfusion_cluster,
                disk_size=disk_size

        }

        call arriba.arriba as arriba {
                input:
                sample_id=sample_id,
                fastq1=trim_galore.Trim_R1,
                fastq2=trim_galore.Trim_R2,
                STAR_INDEX_DIR=STAR_INDEX_DIR,
                ASSEMBLY_FA=ASSEMBLY_FA,
                ANNOTATION_GTF=ANNOTATION_GTF,
                disk_size=disk_size,
                docker=arriba_docker,
                cluster=arriba_cluster
        }



}	
